6.0.0-git
2019-08-25

[#14555] Some responsiveness improvements
Summary Some responsiveness improvements
Queue Horde Base
Queue Version Git master
Type Enhancement
State Assigned
Priority 1. Low
Owners lang (at) b1-systems (dot) de
Requester lang (at) b1-systems (dot) de
Created 2017-01-05 (962 days ago)
Due
Updated 2017-01-16 (951 days ago)
Assigned 2017-01-16 (951 days ago)
Resolved
Milestone Post H6?
Patch No

History
2017-01-16 20:16:58 Jan Schneider State ⇒ Assigned
 
2017-01-05 18:12:41 Ralf Lang (B1 Systems GmbH) Assigned to Ralf Lang (B1 Systems GmbH)
 
2017-01-05 18:10:45 Ralf Lang (B1 Systems GmbH) Comment #3 Reply to this comment

[Show Quoted Text - 9 lines]
You are right. I made a mistake when trying to edit the registry 
menu_parents. There is no code which limits to 5, the tree is rendered 
as-is.

2017-01-05 15:40:57 Michael Rubinsky Comment #2 Reply to this comment
Topbar
At the moment, top menu moves all top level registry entries after a 
fixed number (5?) into the others group, even if there is plenty 
screen.
As far as I know, this is completely controlled by config/registry.php 
and the 'menu_parent' setting for each app.

2017-01-05 15:32:22 Ralf Lang (B1 Systems GmbH) Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Some responsiveness improvements
Queue ⇒ Horde Base
Milestone ⇒ Post H6?
Patch ⇒ No
Reply to this comment
Mobile mode is great for phones, but even then unadopted standard apps 
on tablets or on reduced browser windows should adapt a little better

Sidebar
At the moment, the sidebar is fixed width set by preference.
Add a sidebar mode where sidebar follows screen expansion/shrinking
Add hover tooltips if text does not fit sidebar.
If shrinked below some limit, maybe hide and show on hover over some icon?

Topbar
At the moment, top menu moves all top level registry entries after a 
fixed number (5?) into the others group, even if there is plenty screen.
If the screen shrinks, the apps first wander into the black bar below 
the horde logo. If they still don't fit, they create additional 
whitespace over the sidebar and wrap there. That's ugly
Topbar should show as many top level apps as fit between logo and 
right section (search box, logout)

Saved Queries